Page MenuHomePhabricator

Create voter list for UCoC enforcement ratification vote
Closed, ResolvedPublic

Description

The UCoC Enforcement guidelines ratification vote launches on 7 March 2022 and runs through 21 March 2022. (More info on Meta)

This will be a global election which means a voter list needs to be generated. We last did this for MCDC elections in September - T291668: Create voter list for MCDC 2021 SecurePoll elections.

I am happy to follow the instructions on Wikitech though will need technical support for the creation of the new tables and script required. This was done by @Reedy in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/SecurePoll/+/723316/ last time.

Event Timeline

jrbs triaged this task as High priority.Feb 23 2022, 6:58 PM
jrbs created this task.

Change 765338 had a related patch set uploaded (by Reedy; author: Reedy):

[mediawiki/extensions/SecurePoll@master] Add table and script for UCoC ratification vote

https://gerrit.wikimedia.org/r/765338

Change 765225 had a related patch set uploaded (by Reedy; author: Reedy):

[mediawiki/extensions/SecurePoll@wmf/1.38.0-wmf.23] Add table and script for UCoC ratification vote

https://gerrit.wikimedia.org/r/765225

Change 765338 merged by jenkins-bot:

[mediawiki/extensions/SecurePoll@master] Add table and script for UCoC ratification vote

https://gerrit.wikimedia.org/r/765338

Change 765225 merged by jenkins-bot:

[mediawiki/extensions/SecurePoll@wmf/1.38.0-wmf.23] Add table and script for UCoC ratification vote

https://gerrit.wikimedia.org/r/765225

Mentioned in SAL (#wikimedia-operations) [2022-02-28T20:03:07Z] <tzatziki> creating ucoc_edits table on each wiki for elections voterlist (T302433)

Mentioned in SAL (#wikimedia-operations) [2022-02-28T22:00:48Z] <tzatziki> running extensions/SecurePoll/cli/wm-scripts/ucoc/populateEditCount.php on each wiki (s1 thru s8 simultaneously) (T302433)

This is almost done, just waiting for the list to generate and then will add to the election.

I'll investigate adding eligible staff / developer accounts too, a la T288455.

jrbs claimed this task.
wikiadmin@10.64.0.44(votewiki)> select * from securepoll_properties where pr_entity = 1341 and pr_key not in ("wikis","gpg-sign-key","gpg-encrypt-key");
+-----------+-----------------------+------------------------------------------------------------------------------------------------------------+
| pr_entity | pr_key                | pr_value                                                                                                   |
+-----------+-----------------------+------------------------------------------------------------------------------------------------------------+
|      1341 | admins                | JSutherland (WMF)|PEarley (WMF)|Xeno (WMF)|Tks4Fish|Sj                                                     |
|      1341 | disallow-change       | 0                                                                                                          |
|      1341 | encrypt-type          | gpg                                                                                                        |
|      1341 | must-answer-all       | 0                                                                                                          |
|      1341 | need-central-list     | ucoc-vote-2022                                                                                             |
|      1341 | not-sitewide-blocked  | 1                                                                                                          |
|      1341 | remote-mw-script-path | https:$wgServer/w                                                                                          |
|      1341 | request-comment       | 1                                                                                                          |
|      1341 | return-url            | https://meta.wikimedia.org/wiki/Special:MyLanguage/Universal_Code_of_Conduct/Enforcement_guidelines/Voting |
|      1341 | shuffle-options       | 0                                                                                                          |
|      1341 | shuffle-questions     | 0                                                                                                          |
|      1341 | voter-privacy         | 0                                                                                                          |
|      1341 | wikis-val             | *                                                                                                          |
+-----------+-----------------------+------------------------------------------------------------------------------------------------------------+
13 rows in set (0.001 sec)

Thanks @Reedy for your support here!!

jrbs renamed this task from Create voter list for UCoC ratification vote to Create voter list for UCoC enforcement ratification vote.Mar 4 2022, 7:43 PM